include general.mak

include make/project-ClassFile.mak
include make/rules-ClassFile.mak

JARFILE   = ClassFile.jar

CLASSFILE = org.javalobby.classfile.ClassFile
#RUNCLASS  = $(CLASSFILE) d:/1/com/bridge/webbroker/WebBroker.class WebBroker.class2 a1.txt
RUNCLASS  = $(CLASSFILE) d:/2/com/bridge/webbroker/WebBroker.class WebBroker.class3 a2.txt

#CLASSFILE = org.javalobby.classfile.XMLClassFile
#RUNCLASS  = $(CLASSFILE) classes/org/javalobby/classfile/ClassFile.class ClassFile.class.xml

#RUNCLASS  = org.javalobby.classfile.ClassFilePrinter classes\Test2.class out2.txt

# string for jar
JAR_FILES = \
	$(PACKAGE11)/*.class \
	$(PACKAGE12)/*.class \
	$(PACKAGE13)/*.class

SET_CLASSPATH:
        set CLASSPATH=$(SRCDIR);$(CLASSDIR);$(CLASSPATH)

#compile project
comp: SET_CLASSPATH $(CLASSDIR) $(CLASSFILES)

# run a main class
run: comp
        $(JAVA) $(RUNCLASS)

jar: comp
        cd $(CLASSDIR)
        $(JAR) cmf << $(JARFILE) $(JAR_FILES)
Main-Class: $(CLASSFILE)
Created-By: $(AUTHOR)
<<
        cd ..
        @if exist $(LIBDIR)\$(JARFILE) del $(LIBDIR)\$(JARFILE)
        move $(CLASSDIR)\$(JARFILE) $(LIBDIR)

