# packages for this project

PACKAGE11 = org/javalobby/cafebabe/plugin/serplug

PACKAGE21 = org/javalobby/cafebabe/plugin/classplug/help
PACKAGE22 = org/javalobby/cafebabe/plugin/classplug/bodyeditor/parameter
PACKAGE23 = org/javalobby/cafebabe/plugin/classplug/bodyeditor
PACKAGE24 = org/javalobby/cafebabe/plugin/classplug/util
PACKAGE25 = org/javalobby/cafebabe/plugin/classplug

PACKAGE31 = org/javalobby/cafebabe/plugin/stripplug

PACKAGE41 = org/javalobby/cafebabe/plugin/migrateplug

PACKAGE51 = org/javalobby/cafebabe/plugin/obfplug

PACKAGE61 = org/javalobby/cafebabe/plugin/compactplug

PACKAGE71  = org/javalobby/cafebabe/plugin/houndplug/treecombo
PACKAGE72  = org/javalobby/cafebabe/plugin/houndplug

# this files must be after building a project
# nmake update files from this list if it need
CLASSFILES1 = \
	$(CLASSDIR)/$(PACKAGE11)/RootNode.class \
	$(CLASSDIR)/$(PACKAGE11)/LeafNode.class \
	$(CLASSDIR)/$(PACKAGE11)/FolderNode.class \
	$(CLASSDIR)/$(PACKAGE11)/SerPlugConstants.class \
	$(CLASSDIR)/$(PACKAGE11)/SerTreeModel.class \
	$(CLASSDIR)/$(PACKAGE11)/SearchDialog.class \
	$(CLASSDIR)/$(PACKAGE11)/SerFileFilter.class \
	$(CLASSDIR)/$(PACKAGE11)/ControlledTree.class \
	$(CLASSDIR)/$(PACKAGE11)/SerTree.class \
	$(CLASSDIR)/$(PACKAGE11)/SerFrame.class

CLASSFILES2 = \
	$(CLASSDIR)/$(PACKAGE21)/IniFile.class \
	$(CLASSDIR)/$(PACKAGE21)/RootNode.class \
	$(CLASSDIR)/$(PACKAGE21)/HelpFolderNode.class \
	$(CLASSDIR)/$(PACKAGE21)/HelpLeafNode.class \
	$(CLASSDIR)/$(PACKAGE21)/HelpTreeModel.class \
	$(CLASSDIR)/$(PACKAGE21)/HelpTree.class \
	$(CLASSDIR)/$(PACKAGE21)/HelpViewer.class \
	$(CLASSDIR)/$(PACKAGE21)/HelpFrame.class \
	\
	$(CLASSDIR)/$(PACKAGE22)/ParameterPanel.class \
	$(CLASSDIR)/$(PACKAGE22)/NonePanel.class \
	$(CLASSDIR)/$(PACKAGE22)/UnavailablePanel.class \
	$(CLASSDIR)/$(PACKAGE22)/RefPanel.class \
	$(CLASSDIR)/$(PACKAGE22)/PrimitivePanel.class \
	$(CLASSDIR)/$(PACKAGE22)/SinglePanel.class \
	$(CLASSDIR)/$(PACKAGE22)/ClassPanel.class \
	$(CLASSDIR)/$(PACKAGE22)/MemberPanel.class \
	$(CLASSDIR)/$(PACKAGE22)/FieldPanel.class \
	$(CLASSDIR)/$(PACKAGE22)/MethodPanel.class \
	$(CLASSDIR)/$(PACKAGE22)/IMethodPanel.class \
	$(CLASSDIR)/$(PACKAGE22)/LDCPanel.class \
	$(CLASSDIR)/$(PACKAGE22)/LDC2Panel.class \
	$(CLASSDIR)/$(PACKAGE22)/HexPanel.class \
	$(CLASSDIR)/$(PACKAGE22)/TypesModel.class \
	$(CLASSDIR)/$(PACKAGE22)/RefsModel.class \
	$(CLASSDIR)/$(PACKAGE22)/MultiDimPanel.class \
	$(CLASSDIR)/$(PACKAGE22)/MembersModel.class \
	$(CLASSDIR)/$(PACKAGE22)/PrimitivesModel.class \
	$(CLASSDIR)/$(PACKAGE22)/SinglesModel.class \
	$(CLASSDIR)/$(PACKAGE22)/LabelTableModel.class \
	$(CLASSDIR)/$(PACKAGE22)/PairTableModel.class \
	$(CLASSDIR)/$(PACKAGE22)/TableSwitchPanel.class \
	$(CLASSDIR)/$(PACKAGE22)/LookupSwitchPanel.class \
	$(CLASSDIR)/$(PACKAGE22)/ParameterEditor.class \
	\
	$(CLASSDIR)/$(PACKAGE23)/BodyEditorActions.class \
	$(CLASSDIR)/$(PACKAGE23)/BodyTableModel.class \
	$(CLASSDIR)/$(PACKAGE23)/MnemonicsModel.class \
	$(CLASSDIR)/$(PACKAGE23)/InstructionEditor.class \
	$(CLASSDIR)/$(PACKAGE23)/InstructionsSelection.class \
	$(CLASSDIR)/$(PACKAGE23)/BodyTable.class \
	$(CLASSDIR)/$(PACKAGE23)/BodyEditor.class \
	\
	$(CLASSDIR)/$(PACKAGE24)/HexDocument.class \
	$(CLASSDIR)/$(PACKAGE24)/HexField.class \
	$(CLASSDIR)/$(PACKAGE24)/DigitDocument.class \
	$(CLASSDIR)/$(PACKAGE24)/DigitField.class \
	\
	$(CLASSDIR)/$(PACKAGE25)/TreeTableNode.class \
	$(CLASSDIR)/$(PACKAGE25)/FolderNode.class \
	$(CLASSDIR)/$(PACKAGE25)/LeafNode.class \
	$(CLASSDIR)/$(PACKAGE25)/FieldNode.class \
	$(CLASSDIR)/$(PACKAGE25)/MethodNode.class \
	$(CLASSDIR)/$(PACKAGE25)/RootNode.class \
	$(CLASSDIR)/$(PACKAGE25)/ClassPlugConstants.class \
	$(CLASSDIR)/$(PACKAGE25)/SearchDialog.class \
	$(CLASSDIR)/$(PACKAGE25)/ClassFileFilter.class \
	$(CLASSDIR)/$(PACKAGE25)/ClassFrame.class \
	$(CLASSDIR)/$(PACKAGE25)/ClassTreeDataModel.class \
       	$(CLASSDIR)/$(PACKAGE25)/EditUtfDialog.class \
	$(CLASSDIR)/$(PACKAGE25)/ClassTreeTable.class \
	$(CLASSDIR)/$(PACKAGE25)/SectionsDialog.class

CLASSFILES3 = \
	$(CLASSDIR)/$(PACKAGE31)/StripFrame.class \
	$(CLASSDIR)/$(PACKAGE31)/StripOptionsDialog.class

CLASSFILES4 = \
	$(CLASSDIR)/$(PACKAGE41)/MigrationRulesModel.class \
	$(CLASSDIR)/$(PACKAGE41)/MigrateFrame.class \
	$(CLASSDIR)/$(PACKAGE41)/MigrateOptionsDialog.class

CLASSFILES5 = \
	$(CLASSDIR)/$(PACKAGE51)/DeniedListModel.class \
	$(CLASSDIR)/$(PACKAGE51)/ObfuscateFrame.class

CLASSFILES6 = \
	$(CLASSDIR)/$(PACKAGE61)/CompactFrame.class

CLASSFILES7 = \
	$(CLASSDIR)/$(PACKAGE71)/ClassNode.class \
	$(CLASSDIR)/$(PACKAGE71)/InterfaceNode.class \
	$(CLASSDIR)/$(PACKAGE71)/UnknownNode.class \
	$(CLASSDIR)/$(PACKAGE71)/HierarchyTreeCombo.class \
	\
	$(CLASSDIR)/$(PACKAGE72)/HoundPlugConstants.class \
	$(CLASSDIR)/$(PACKAGE72)/ClassHoundSingleton.class \
	$(CLASSDIR)/$(PACKAGE72)/FieldCellRenderer.class \
	$(CLASSDIR)/$(PACKAGE72)/MethodCellRenderer.class \
	$(CLASSDIR)/$(PACKAGE72)/ClassHoundFrame.class
