// DefaultFrame.java

package org.javalobby.cafebabe;

import java.awt.*;
import java.beans.*;
import java.lang.reflect.Method;
import java.io.*;
import java.awt.event.*;

public class DefaultFrame extends PluginFrame {

  public DefaultFrame() {
    super();
  }

  public void open() {
    setSize(700, 350);

    super.open();
  }
    
  public void setComponent(Component component) {
    Container container = getContentPane();

    container.setLayout(new BorderLayout());
    container.add(component, BorderLayout.CENTER);

    Dimension start_dim = component.getPreferredSize();
    
    if(start_dim.width != 0 && start_dim.height != 0) {
      // this is what we do under normal conditions
      start_dim.height += 40;
      start_dim.width += 15;
      this.setSize(start_dim);
      component.invalidate(); 
      component.validate();
      component.doLayout();
      show();           
    }
    else {
      // we get here if for some reason our child's
      // getPref size needs to have it's peer created first...
      show();           
      start_dim = component.getPreferredSize();
      start_dim.height += 40;
      start_dim.width  += 15;

      this.setSize(start_dim);

      component.validate();
    }

    this.setSize(this.getSize());

    validate();
  }
  
}



