// MenuPlugin.java

package org.javalobby.cafebabe;

import java.io.*;
import java.util.*;

import javax.swing.*;

// class that works with properties file for application

public class MenuPlugin extends Plugin {

  private String action;
  private ImageIcon icon;

  public MenuPlugin(Class mainClass, String classPath, String description,
                    String action, ImageIcon icon) {
    super(mainClass, classPath, description);

    this.action = action;
    this.icon   = icon;
  }

  public void setAction(String action) {
    this.action = action;
  }

  public String getAction() {
    return action;
  }

  public void setIcon(ImageIcon icon) {
    this.icon = icon;
  }

  public ImageIcon getIcon() {
    return icon;
  }

}
