// Plugin.java

package org.javalobby.cafebabe;

// class that works with properties file for application

public class Plugin {

  private Class mainClass;
  private String classPath;
  private String description;

  public Plugin(Class mainClass) {
    this.mainClass = mainClass;
  }

  public Plugin(Class mainClass, String classPath) {
    this.mainClass = mainClass;
    this.classPath = classPath;
  }

  public Plugin(Class mainClass, String classPath, String description) {
    this.mainClass   = mainClass;
    this.classPath   = classPath;
    this.description = description;
  }

  public Class getMainClass() {
    return mainClass;
  }

  public void setClassPath(String classPath) {
    this.classPath = classPath;
  }

  public String getClassPath() {
    return classPath;
  }

  public void setDescription(String desctiption) {
    this.description = description;
  }

  public String getDescription() {
    return description;
  }

}
