// ArchiveFileFilter.java

package org.javalobby.cafebabe.archooser;

import java.io.*;

import org.javalobby.util.*;

public class ArchiveFileFilter extends javax.swing.filechooser.FileFilter {

  public String getDescription() {
    return new String("Archive files (*.zip, *.jar)");
  }

  public boolean accept(File f) {
    if(f != null) {
      if(f.isDirectory()) {
        return true;
      }

      String extension = FileUtil.getExtension(f);

      if(extension != null && (extension.equals("zip") || extension.equals("jar"))) {
        return true;
      }
    }

    return false;
  }
}


