// ClassFileFilter.java

package org.javalobby.cafebabe.plugin.classplug;

import java.io.*;

import org.javalobby.util.*;

public class ClassFileFilter extends javax.swing.filechooser.FileFilter {

  public String getDescription() {
    return new String("Class files (*.class)");
  }

  public boolean accept(File f) {
    if(f != null) {
      if(f.isDirectory()) {
        return true;
      }

      String extension = FileUtil.getExtension(f);
      if(extension != null) {
        if(extension.equals("class")) {
          return true;
        }
      }
    }

    return false;
  }
}


