// FolderNode.java

package org.javalobby.cafebabe.plugin.classplug;

import javax.swing.*;
import javax.swing.tree.*;

// class for representing folders

public class FolderNode extends TreeTableNode {

  private boolean visible = true;

  public FolderNode() {
    super("", false);
  }

  public FolderNode(String text) {
    super(text, true);
    setVisible(true);
  }

  public FolderNode(String text, boolean visible) {
    super(text, true);
    setVisible(visible);
  }

  public FolderNode(String text, String info, boolean visible) {
    super(text, info, true);
    setVisible(visible);
  }

  public boolean isVisible() { return visible; }

  public void setVisible(boolean visible) {
    this.visible = visible;
  }

}
