// FolderNode.java

package org.javalobby.cafebabe.plugin.serplug;

import java.io.*;

import org.javalobby.util.*;

public class SerFileFilter extends javax.swing.filechooser.FileFilter {

  public String getDescription() {
    return new String("Serialized files (*.ser)");
  }

  public boolean accept(File f) {
    if(f != null) {
      if(f.isDirectory())
        return true;

      String extension = FileUtil.getExtension(f);
      if(extension != null) {
        if(extension.equals("ser"))
        return true;
      }
    }
    return false;
  }
}
