// Pool.java

package org.javalobby.classfile;

/**
 * Interface for presentation of entries collection
 *
 * @version 1.0 02/22/2000
 * @author Alexander Shvets
 */
public interface Pool {

  /**
   * Get specified entry from a pool.
   *
   * @param   index  the index of entry in a pool.
   * @return  specified entry
   */
  public PoolEntry getEntry(short index);

}
