// TagEntry.java

package org.javalobby.classfile;

import java.io.*;

/**
 * Basic interface for any entry that have a tag.
 *
 * @version 1.0 02/22/2000
 * @author Alexander Shvets
 */
public interface TagEntry extends Entry {

  /**
   * Get tag of this entry.
   *
   * @return  tag for entry
   */
  public byte getTag();

}
