// MdiEvent.java

package org.javalobby.mdi;

// this event is generated when menu "Window" changed because some
// internal frame showed/hidden

public class MdiEvent extends java.util.EventObject {

  private String itemName;
  private boolean visible;

  public MdiEvent(Object source, String itemName, boolean visible) {
    super(source);

    this.itemName = itemName;
    this.visible  = visible;
  }

  public String getItemName() { return itemName; }

  public boolean isVisible() { return visible; }

}
