// Solvable.java

package org.javalobby.task.basic;

import java.io.*;

import org.javalobby.classfile.*;


// ability to solve some task with class file

public interface Solvable {

  // perform solution to solve some task with class file

  public void solve(String fromName) throws IOException;

  public void solve(String fromName, String methodName) throws IOException;

  public void solve(ClassFile classFile);

  public void solve(ClassFile classFile, String methodName);

  // receive number of replacements arised while solving this task
  public int getReplacements();

  public void action() throws IOException;

}