// NotificationEvent.java

package org.javalobby.task.event;

// this event is generated when some notification occurs

public class NotificationEvent extends java.util.EventObject {

  private String notification;
  private String description;

  public NotificationEvent(Object source, String notification, String description) {
    super(source);

    this.notification = notification;
    this.description = description;
  }

  public String getNotification() {
    return notification;
  }

  public String getDescription() {
    return description;
  }

}
