// DefaultManyContainer.java

package org.javalobby.task.util;

import java.util.*;

public class DefaultManyContainer implements ManyContainer {

  protected Vector list = new Vector();

  public DefaultManyContainer() {}

  public DefaultManyContainer(Vector list) {
    this.list = list;
  }

  public ManyElement put(ManyElement element) {
    int i = find(element);
    if(i == -1) {
      list.addElement(element);
      return element;
    }
    else
      return (ManyElement)list.elementAt(i);
  }

  public boolean contains(Object value) {
    for(int i=0; i < list.size(); i++) {
      ManyElement element = (ManyElement)list.elementAt(i);
      if(element.getValue().equals(value))
        return true;
    }

    return false;
  }

  public int find(ManyElement element) {
    for(int i=0 ; i < list.size(); i++) {
      Object f = ((ManyElement)list.elementAt(i)).getValue();
      if(f.equals(element.getValue()))
        return i;
    }
    return -1;
  }

  public Enumeration elements() {
    return list.elements();
  }

}
