// Pair.java

package org.javalobby.task.util;

public class Pair {
  private Object first, second;

  public Pair(Object first) { this(first, null); }

  public Pair(Object first, Object second) {
    this.first  = first;
    this.second = second;
  }

  public Object getFirst() {
    return first;
  }

  public Object getSecond() {
    return second;
  }

  public void setSecond(Object second) {
    this.second = second;
  }

  public boolean equals(Object o) {
    Pair p =  (Pair)o;
    return (first == p.first) && (second == p.second);
  }

  public String toString() {
    return "(" + first + " " + second + ")" + " " + super.toString();
  }

}
