// FileUtil.java

package org.javalobby.util;

import java.io.*;
//import java.util.*;
//import java.util.zip.*;


public final class FileUtil {

  private FileUtil() {}

  public static String getExtension(String fileName) {
    return getExtension(new File(fileName));
  }

  /**
   * Conveinience method that returns the "dot" extension for the
   * given file.
   */
  public static String getExtension(File f) {
    if(f != null) {
      String filename = f.getName();
      if(filename != null) {
        int i = filename.lastIndexOf('.');
        if(i>0 && i<filename.length()-1) {
           return filename.substring(i+1).toLowerCase();
        }
      }
    }
    return null;
  }

}
