include general.mak

include make/project-SerFile.mak
include make/rules-SerFile.mak


JARFILE = SerFile.jar

SERFILE = org.javalobby.serfile.SerFile

#RUNCLASS  = $(SERFILE) private/Test/classes/SerializableTest.ser > a1
#RUNCLASS  = $(SERFILE) private/Test/classes/ExternalizableTest.ser > a1
#RUNCLASS  = $(SERFILE) private/Test/classes/ComponentTest.ser > a1
#RUNCLASS  = $(SERFILE) private/Test/classes/OwnRWMethodsTest.ser > a1
#RUNCLASS  = $(SERFILE) Test/aaa.ser > a1
RUNCLASS  = $(SERFILE) Test/aaa.ser > a1

#RUNCLASS  = $(SERFILE) Test2/externalizedModules.ser  > a12
#RUNCLASS  = $(SERFILE) Test2/Person1.ser Test2/Person1.ser2 > a11
#RUNCLASS  = $(SERFILE) Test/Person2.ser Test/Person2.ser2 > a22
#RUNCLASS  = $(SERFILE) Test/Person3.ser Test/Person3.ser2 > a33
#RUNCLASS  = $(SERFILE) Test/Person4.ser Test/Person4.ser2 > a44
#RUNCLASS  = $(SERFILE) Test/Person5.ser Test/Person5.ser2 > a55
#RUNCLASS  = $(SERFILE) Test/Person6.ser Test/Person6.ser2 > a66

# string for jar
JAR_FILES = \
	$(PACKAGE1)/*.class

MANIFEST  = manifest.serfile

CLASSFILELIB:
	@if not exist $(LIBDIR)\ClassFile.jar nmake -f ClassFile.mak jar

SET_CLASSPATH:
	set CLASSPATH=$(SRCDIR);$(CLASSDIR);$(CLASSPATH);$(LIBDIR)\ClassFile.jar

#compile project
comp: CLASSFILELIB SET_CLASSPATH $(CLASSDIR) $(CLASSFILES)


# run a main class
run: comp
        $(JAVA) $(RUNCLASS)

jar: comp
        cd $(CLASSDIR)
        $(JAR) cmf << $(JARFILE) $(JAR_FILES)
Main-Class: $(SERFILE)
Class-Path: ClassFile.jar
Created-By: $(AUTHOR)
<<
        cd ..
        @if exist $(LIBDIR)\$(JARFILE) del $(LIBDIR)\$(JARFILE)
        move $(CLASSDIR)\$(JARFILE) $(LIBDIR)
