# packages for this project
PACKAGE21  = org/javalobby/task/event
PACKAGE22  = org/javalobby/task/basic
PACKAGE23  = org/javalobby/task/util
PACKAGE24  = org/javalobby/task/stripper
PACKAGE25  = org/javalobby/task/obfuscator
PACKAGE26  = org/javalobby/task/migrator
PACKAGE27  = org/javalobby/task/compactor
PACKAGE28  = org/javalobby/task/integrity
PACKAGE2   = org/javalobby/task

# this files must be after building a project
# nmake update files from this list if it need

CLASSFILES = \
	$(CLASSDIR)/$(PACKAGE21)/NotificationEvent.class \
	$(CLASSDIR)/$(PACKAGE21)/NotificationListener.class \
	$(CLASSDIR)/$(PACKAGE21)/NotificationSupport.class \
	$(CLASSDIR)/$(PACKAGE21)/GroupEvent.class \
	$(CLASSDIR)/$(PACKAGE21)/GroupListener.class \
	$(CLASSDIR)/$(PACKAGE21)/GroupSupport.class \
	\
	$(CLASSDIR)/$(PACKAGE22)/ZipSupport.class \
	$(CLASSDIR)/$(PACKAGE22)/Solvable.class \
	$(CLASSDIR)/$(PACKAGE22)/Task.class \
	$(CLASSDIR)/$(PACKAGE22)/GroupTask.class \
	\
	$(CLASSDIR)/$(PACKAGE23)/CustomClassPath.class \
	$(CLASSDIR)/$(PACKAGE23)/ClassAnalyzer.class \
	$(CLASSDIR)/$(PACKAGE23)/BytecodeClassAnalyzer.class \
	$(CLASSDIR)/$(PACKAGE23)/LoaderClassAnalyzer.class \
	$(CLASSDIR)/$(PACKAGE23)/Single.class \
	$(CLASSDIR)/$(PACKAGE23)/SinglesTable.class \
	$(CLASSDIR)/$(PACKAGE23)/Pair.class \
	$(CLASSDIR)/$(PACKAGE23)/PairsTable.class \
	$(CLASSDIR)/$(PACKAGE23)/ManyElement.class \
	$(CLASSDIR)/$(PACKAGE23)/ManyContainer.class \
	$(CLASSDIR)/$(PACKAGE23)/DefaultManyElement.class \
	$(CLASSDIR)/$(PACKAGE23)/DefaultManyContainer.class \
	$(CLASSDIR)/$(PACKAGE23)/OneToManyTable.class \
	\
	$(CLASSDIR)/$(PACKAGE24)/StripTask.class \
	\
	$(CLASSDIR)/$(PACKAGE25)/NameGenerator.class \
	$(CLASSDIR)/$(PACKAGE25)/NamesTable.class \
	$(CLASSDIR)/$(PACKAGE25)/CollectInfoTask.class \
	$(CLASSDIR)/$(PACKAGE25)/ObfuscateTask.class  \
	$(CLASSDIR)/$(PACKAGE25)/TaskDescription.class \
	\
	$(CLASSDIR)/$(PACKAGE26)/MigrateTask.class \
	\
	$(CLASSDIR)/$(PACKAGE27)/Archiver.class \
	$(CLASSDIR)/$(PACKAGE27)/Copier.class \
	$(CLASSDIR)/$(PACKAGE27)/Bounds.class \
	$(CLASSDIR)/$(PACKAGE27)/ClasspathBounds.class \
	$(CLASSDIR)/$(PACKAGE27)/PackagesBounds.class \
	$(CLASSDIR)/$(PACKAGE27)/CompactTaskDescription.class \
	$(CLASSDIR)/$(PACKAGE27)/CompactTask.class \
	$(CLASSDIR)/$(PACKAGE27)/DependenciesFinder.class \
	$(CLASSDIR)/$(PACKAGE27)/MethodFinder.class \
	$(CLASSDIR)/$(PACKAGE27)/CompleteFinder.class \
	\
	$(CLASSDIR)/$(PACKAGE28)/Integrity.class \
	\
	$(CLASSDIR)/$(PACKAGE2)/Constants.class \
	$(CLASSDIR)/$(PACKAGE2)/TemplateGroupTask.class \
	$(CLASSDIR)/$(PACKAGE2)/Stripper.class \
	$(CLASSDIR)/$(PACKAGE2)/Migrator.class \
	$(CLASSDIR)/$(PACKAGE2)/Dietolog.class \
	$(CLASSDIR)/$(PACKAGE2)/Obfuscator.class \
	$(CLASSDIR)/$(PACKAGE2)/IntegrityChecker.class

