// Constants.java

package org.javalobby.cafebabe;

// constants for CafeBabe application

public interface Constants {
  public String MAIN_FRAME_TITLE = "CafeBabe - bytecode laboratory ver. 1.3.5";

  public String PROPERTIES_NAME =  ".CafeBabe";
  public String JAR_NAME        = "CafeBabe.jar";

  public static String PLUGINS_DIR_NAME = "Plugins";

  public String MAILCAP_FILE    = PLUGINS_DIR_NAME + "/" + "mailcap.plugins";
  public String MIMETYPES_FILE  = PLUGINS_DIR_NAME + "/" + "mimetypes.plugins";

  public String ICONS_DIR       = "/org/javalobby/cafebabe/Icons/";

  public String ICON_MAIN_FRAME           = ICONS_DIR + "cafebabe.gif";

  public String ICON_COLLAPSE             = ICONS_DIR + "tree1.gif";
  public String ICON_EXPAND               = ICONS_DIR + "tree2.gif";
  public String ICON_EXPAND_ALL           = ICONS_DIR + "tree3.gif";
  public String ICON_SEARCH               = ICONS_DIR + "eye.gif";
  public String ICON_TUTORIAL_OFF         = ICONS_DIR + "quest1.gif";
  public String ICON_TUTORIAL_ON          = ICONS_DIR + "quest2.gif";
  public String ICON_ZIP_FILE             = ICONS_DIR + "zip.gif";

  public String ICON_OPEN_FILE            = ICONS_DIR + "open_file.gif";
  public String ICON_SAVE_FILE            = ICONS_DIR + "save.gif";

  public String ICON_OPEN_FOLDER          = ICONS_DIR + "Open.gif";
  public String ICON_CLOSED_FOLDER        = ICONS_DIR + "Folder.gif";
  public String ICON_ADD_PLUGIN           = ICONS_DIR + "installIcon.gif";

  public String ICON_FACE1                = ICONS_DIR + "face1.jpg";
  public String ICON_FACE2                = ICONS_DIR + "face2.jpg";
  public String ICON_MAIL                 = ICONS_DIR + "mail.gif";
  public String ICON_ABOUT                = ICONS_DIR + "cafebabe1.gif";

  public String CONFIRMATION_STRING       = "Confirmation";

  public String SAVE_FILE_QUESTION        = "Do you want to save file";

  public final String FILE_MENU_TEXT           = "File";
  public final String PLUGINS_MENU_TEXT        = "Plugins";
  public final String WINDOW_MENU_TEXT         = "Window";
  public final String HELP_MENU_TEXT           = "Help";

  public final String NEW_ITEM_TEXT            = "New";
  public final String OPEN_ITEM_TEXT           = "Open...";
  public final String SAVE_AS_ITEM_TEXT        = "Save as...";
  public final String CLOSE_ITEM_TEXT          = "Close";
  public final String CHANGE_PLAF_ITEM_TEXT    = "Change Look and Feel";
  public final String CHANGE_THEME_ITEM_TEXT   = "Change Theme for Metal LAF";
  public final String EXIT_ITEM_TEXT           = "Exit";

  public final String ADD_PLUGIN_ITEM_TEXT     = "Add Plugin";

  public final String EMAIL_ITEM_TEXT          = "Send e-mail";
  public final String ABOUT_ITEM_TEXT          = "About a program";

  public final char FILE_MENU_SHORTCUT         = 'F';
  public final char PLUGINS_MENU_SHORTCUT      = 'P';
  public final char WINDOW_MENU_SHORTCUT       = 'W';
  public final char HELP_MENU_SHORTCUT         = 'H';

  public final char NEW_ITEM_SHORTCUT          = 'N';
  public final char OPEN_ITEM_SHORTCUT         = 'O';
  public final char SAVE_AS_ITEM_SHORTCUT      = 'a';
  public final char CLOSE_ITEM_SHORTCUT        = 'C';
  public final char CHANGE_PLAF_ITEM_SHORTCUT  = 'L';
  public final char CHANGE_THEME_ITEM_SHORTCUT = 'T';
  public final char EXIT_ITEM_SHORTCUT         = 'E';

  public final char ADD_PLUGIN_ITEM_SHORTCUT   = 'P';

  public final char EMAIL_ITEM_SHORTCUT        = 'S';
  public final char ABOUT_ITEM_SHORTCUT        = 'A';

  public final String NEW_ITEM_DESCR_TEXT      = "Create file";
  public final String OPEN_ITEM_DESCR_TEXT     = "Open existing file";
  public final String SAVE_AS_ITEM_DESCR_TEXT  = "Save file as";
  public final String CLOSE_ITEM_DESCR_TEXT    = "Close file";
  public final String EXIT_ITEM_DESCR_TEXT     = "Exit";

  public final String ADD_PLUGIN_ITEM_DESCR_TEXT = "Find plugin and add it to a system";

  public final String EMAIL_ITEM_DESCR_TEXT   = "Direct mail to author";
  public final String ABOUT_ITEM_DESCR_TEXT   = "About a program";

  String AUTHOR             = "Alexander G. Shvets";
  String EMAIL              = "shvets_alexander@yahoo.com";

  String GOODBYE_MESSAGE    =
         "\n   Thank you for using CafeBabe." +
         "\n   Please send your feedbacks to <" + EMAIL + ">.";

}
