// ClassPlugConstants.java

package org.javalobby.cafebabe.plugin.classplug;

import org.javalobby.cafebabe.*;

public interface ClassPlugConstants {

  public String INSTRUCTIONS_ARCHIVE_NAME = "Help/instructions.jar";

  String ICONS_DIR = "/org/javalobby/cafebabe/plugin/classplug/Icons/";

  public String ICON_CLASS_FILE       = ICONS_DIR + "cafebabe2.gif";
  public String ICON_HELP             = ICONS_DIR + "Help.gif";
  public String ICON_CLASS            = ICONS_DIR + "class.gif";
  public String ICON_FIELD            = ICONS_DIR + "field.gif";
  public String ICON_METHOD           = ICONS_DIR + "method.gif";
  public String ICON_IMETHOD          = ICONS_DIR + "imethod.gif";
  public String ICON_STRING           = ICONS_DIR + "string.gif";
  public String ICON_CONDITION        = ICONS_DIR + "cond.gif";
  public String ICON_PRIMITIVE        = ICONS_DIR + "primitive.gif";

  public String ICON_EDIT             = ICONS_DIR + "VCROpen.gif";
  public String ICON_ADD              = ICONS_DIR + "add.gif";
  public String ICON_REMOVE           = ICONS_DIR + "remove.gif";

  public String MAGIC_NUMBER_TEXT     = "Magic number";
  public String MINOR_VERSION_TEXT    = "Minor version";
  public String MAJOR_VERSION_TEXT    = "Major version";
  public String CONSTANT_POOL_TEXT    = "Constant pool";
  public String ACCESS_FLAGS_TEXT     = "Access flags";
  public String THIS_CLASS_TEXT       = "This class";
  public String SUPER_CLASS_TEXT      = "Super class";
  public String INTERFACES_TEXT       = "Interfaces";
  public String FIELDS_TEXT           = "Fields";
  public String METHODS_TEXT          = "Methods";
  public String CLASS_ATTRIBUTES_TEXT = "Class attributes";
  public String ATTRIBUTES_TEXT       = "Attributes";
  public String BAD_ENTRY_TEXT        = "bad entry";

  public String[] FOLDERS_NAME     =  new String[] {
    MAGIC_NUMBER_TEXT,  MINOR_VERSION_TEXT, MAJOR_VERSION_TEXT,
    CONSTANT_POOL_TEXT, ACCESS_FLAGS_TEXT,  THIS_CLASS_TEXT,
    SUPER_CLASS_TEXT,   INTERFACES_TEXT,    FIELDS_TEXT,
    METHODS_TEXT,       CLASS_ATTRIBUTES_TEXT
  };

  public int SEARCH_PLAIN           = 0;
  public int SEARCH_CONST_POOL      = 1;
  public int SEARCH_FIELD           = 2;
  public int SEARCH_METHOD          = 3;
  public int SEARCH_CLASS_ATTRIBUTE = 4;

}
