// MethodNode.java

package org.javalobby.cafebabe.plugin.classplug;

import javax.swing.*;
import javax.swing.tree.*;

import org.javalobby.classfile.*;

// class for representing folders

public class MethodNode extends TreeTableNode {

  private MethodEntry entry;
  private boolean isChanged = false;

  public MethodNode(MethodEntry entry) {
    super(true);

    this.entry = entry;
  }

  public MethodEntry getMethodEntry() {
    return entry;
  }

  public boolean isChanged() {
    return isChanged;
  }

  public void setChanged(boolean isChanged) {
    this.isChanged = isChanged;
  }

}
