// TreeTableNode.java

package org.javalobby.cafebabe.plugin.classplug;

import javax.swing.*;
import javax.swing.tree.*;

// class for representing basic class for node of tree-table

public class TreeTableNode extends DefaultMutableTreeNode {
  String info;

  public TreeTableNode(boolean allowsChildren) {
    super("", allowsChildren);
  }

  public TreeTableNode(String text, boolean allowsChildren) {
    super(text, allowsChildren);
  }

  public TreeTableNode(String text, String info, boolean allowsChildren) {
    super(text, allowsChildren);
    this.info = info;
  }

  public void setText(int value) {
    setText(Integer.toHexString(value).toUpperCase());
  }

  public void setText(String text) {
    setUserObject(text);
  }

  public String getText() {
    return getUserObject().toString();
  }

  public void setInfo(String info) {
    this.info = info;
  }

  public String getInfo() {
    return info;
  }

}
