// MembersModel.java

package org.javalobby.cafebabe.plugin.classplug.bodyeditor.parameter;

import java.util.*;

import javax.swing.*;

import org.javalobby.classfile.*;

public class MembersModel extends RefsModel {

  public MembersModel(Vector types, ConstPool constPool) {
    super(types, constPool);
  }

  protected String getItem(short index) {
    PoolEntry entry = (PoolEntry)constPool.elementAt(index);

    String[] str = entry.resolve(constPool);

    return str[1] + " " + str[2] + " " + str[3];
  }

  protected String getName(short index) {
    PoolEntry entry = (PoolEntry)constPool.elementAt(index);

    return entry.resolve(constPool)[2];
  }

  protected String getClass(short index) {
    PoolEntry entry = (PoolEntry)constPool.elementAt(index);

    return entry.resolve(constPool)[1];
  }

  protected String getSignature(short index) {
    PoolEntry entry = (PoolEntry)constPool.elementAt(index);

    return entry.resolve(constPool)[3];
  }

}
