// HexField.java

package org.javalobby.cafebabe.plugin.classplug.util;

import java.awt.*;

import javax.swing.*;
import javax.swing.text.*;

public class HexField extends JTextField {

  public HexField() {
    this(new byte[8]);
  }

  public HexField(byte[] buffer) {
    this(buffer, buffer.length*2+3);
  }

  public HexField(byte[] buffer, int columns) {
    super();

    this.setDocument(new HexDocument(buffer));
    this.setColumns(columns);
  }

}
