// RefOpcodeDescription.java

package org.javalobby.classfile.instruction;

/**
 * This class describes single record of OpcodeTable that uses reference as
 * an additional parameter.
 *
 * @version 1.0 02/22/2000
 * @author Alexander Shvets
 */
public class RefOpcodeDescription extends OpcodeDescription {

  /**
   * Creates a reference description with a specified mnemonic and length for
   * instruction.
   *
   * @param tag  the tag value
   * @param wide  the wide flag
   */
  public RefOpcodeDescription(String mnemonic, int length) {
    super(mnemonic, length);
  }

}
