/*
 * @(#)Client.java 1.0 03/20/2000
 *
 */

package org.javalobby.net;

import java.io.*;

/**
 * The basic behavior for an abstract client. It establishes communication
 * with the server, send it some requests and receive responces.
 *
 * @version 1.0 03/20/2000
 * @author Alexander Shvets
 */
public interface Client extends Serializable {

  public void setRequest(Object request) throws IOException;

  public Object getResponse() throws IOException;

  public boolean existsResponse();

}
